1997-09-17  SL Baur  <steve@altair.xemacs.org>

	* Makefile (autoloads): Fixup dependency.

1997-07-08  Steven L Baur  <steve@altair.xemacs.org>

	* hact.el (action:commandp): Don't reference bytecode objects as
	vectors.
	(action:params): Ditto.

1997-07-07  Steven L Baur  <steve@altair.xemacs.org>

	* hypb.el (hypb:function-copy): Don't reference bytecode objects
	as vectors.
	(hypb:function-symbol-replace): Document as broken.  The
	substition cannot be done without some thinking I'm not in the
	mood for.

1997-07-03  Steven L Baur  <steve@altair.xemacs.org>

	* Makefile: Add autoloads dependencies.

1997-06-27  Steven L Baur  <steve@altair.xemacs.org>

	* wrolo-menu.el (TopLevel): Fix tests so that W3's id-menubar
	simulation doesn't bollux up feature tests.

Thu Mar 13 22:01:52 1997  Bob Weiner  <weiner@infodock.com>

* wrolo.el (rolo-toggle-datestamps): Added.
* hui-mini.el (hui:menus): Added Cust/Toggle-Rolodex-Dates entry.
* hui-menu.el (hui-menu-options): Added Customization/Toggle-Rolodex-Dates
    item.
* wrolo.el (rolo-add): Added wrolo-add-hook, executed after the record
    is added.
           (rolo-edit): Added wrolo-edit-hook, executed after point is
    successfully moved to the record to edit.  These can be used, for
    example, to add and update date entries in address records.
           (rolo-current-date): Added.
	   (rolo-set-date): Added and used as default wrolo-add-hook and
    wrolo-edit-hook settings.

Mon Mar 10 12:17:15 1997  Bob Weiner  <weiner@infodock.com>

* hsys-w3.el (www-url): Eliminated call of external Web browser if not
    running under a window system.

Sun Mar  9 01:32:03 1997  Bob Weiner  <weiner@infodock.com>

* hpath.el (hpath:url-at-p):
	   (hpath:www-at-p): Fixed bug that referred to an optional match
    component without checking if it was matched.
           (hpath:url-p): Changed doc to reflect that pathname can be optional.

* hsite-ex.el: Added (require 'hyperbole) to ensure that this file
    is loaded if hsite.el is autoloaded, e.g. under XEmacs.

Thu Mar  6 14:14:05 1997  Bob Weiner  <weiner@infodock.com>

* hui-mini.el (hyperbole): Added autoload special comment.

Wed Mar  5 01:14:47 1997  Bob Weiner  <weiner@infodock.com>

* kotl/kotl-mode.el (kotl-mode:center-line): 
* kotl/kview.el (kcell-view:line): Changed calls to
    kotl-mode:beginning-of-line to kotl-mode:start-of-line to avoid an
    XEmacs byte compiler bug in some versions.  The bug shows up when
    kotl-mode:center-line is called on the first line of a cell and the
    cell label is centered along with the line (the label should not
    move).

Tue Mar  4 20:45:52 1997  Bob Weiner  <weiner@infodock.com>

* hsite-ex.el (hpath:find-alist): Modified to use `xv' to display xpm
  files; it is more robust than `sxpm' in the face of limited colors.

Mon Mar  3 12:06:49 1997  Bob Weiner  <weiner@infodock.com>

* hui-menu.el (infodock-hyperbole-menu): Added :config 'Hyperbole
    configurator to the menu so users can hide the Hyperbole
    menu from the menubar if they don't use it, via menubar-configuration,
    under XEmacs and InfoDock.

Sun Mar  2 22:35:26 1997  Bob Weiner  <weiner@infodock.com>

* kotl/kotl-mode.el (kotl-mode:set-cell-attribute): Changed
    read-expression to read-minibuffer since GNU Emacs doesn't
    have the former.

Fri Feb 28 23:31:57 1997  Bob Weiner  <weiner@infodock.com>

* kotl/kprop-xe.el (kproperty:put): Fixed problem with internal handling
    of text property protocols within newer versions of XEmacs.  The
    `text-prop' symbol can no longer be set to `t'.  It must be set to
    a symbol from the property list of the extent that carries
    text-properties.

==============================================================================
V4.023 changes ^^^^:
==============================================================================

Sat Feb 22 14:30:14 1997  Bob Weiner  <weiner@infodock.com>

* hypb.el (hypb:ida-logo-keymap): Added conditional for Emacs keybinding.

==============================================================================
V4.022 changes ^^^^:
==============================================================================

Fri Feb 21 17:49:01 1997  Bob Weiner  <weiner@infodock.com>

* hmouse-reg.el (hmouse-get-bindings): 
                (hmouse-setup): 
* hmouse-sh.el  (hmouse-get-bindings): 
                (hmouse-setup): 
* hmouse-key.el (hmouse-set-bindings): 
Modified to do nothing when running in batch mode (noninteractively).


==============================================================================
V4.021 changes ^^^^:
==============================================================================

Tue Feb 18 18:57:27 1997  Bob Weiner  <weiner@infodock.com>

* hui-mini.el (hui:menus): Added "Doc/About" menu item
* hui-menu.el (infodock-hyperbole-menu): Added "About" menu item.
* hypb.el (hypb:ida-logo-keymap): 
          (hypb:ida-home-page): 
	  (hypb:display-file-with-logo): Added to support About Hyperbole command.

Mon Feb 17 15:27:21 1997  Bob Weiner  <weiner@infodock.com>

* hversion.el (hyperb:microcruft-os-p): Added.

Sat Feb 15 16:03:42 1997  Bob Weiner  <weiner@infodock.com>

* hpath.el (hpath:find): Fixed bug that returned nil (now is 't) if file
    was displayed using a specialized function.
           (hpath:find-line): Added to handle displaying of all files at
 	     specific lines (hpath:find does not work for this use since it
	     may call external display functions).
* hactypes.el (link-to-file-line): Rewrote to call hpath:find-line.

Fri Feb 14 11:39:09 1997  Bob Weiner  <weiner@infodock.com>

* hrmail.el (rmail-forward): Updated to V19 compatibility.

Sun Jan 26 14:32:28 1997  Bob Weiner  <weiner@infodock.com>

* hmouse-sh.el (hmouse-get-bindings): 
* hmouse-reg.el (hmouse-get-bindings): Rearranged order of initial
    conditional so that lemacs or emacs19 always takes precedence over
    hyperb:window-system setting, which may be "xterm".

* hmouse-key.el (or hyperb:xemacs-p hyperb:emacs19-p): Prevent any attempt
    to load pre-dumped mouse libraries when running under X terms on these
    versions of emacs.

* hyperbole.el (hbut:key-src): Added this autoload to avert error if the
    rolodex is loaded before the Hyperbole system and then a rolo-edit, {e},
    request is made within the match buffer.

* hgnus.el: Updated to support new Gnus gnus-msg.el replacement for gnuspost.el.

* hversion.el (sm-window-sys-term): 
* hbmap.el (hbmap:dir-user): Patched to support GNU Emacs running 
    natively under Windows NT.

Tue Jan 14 15:45:14 1997  Bob Weiner  <weiner@infodock.com>

* ../../etc/hypb-mouse.txt (Special Modes): Added Objective-C, Java and
    Fortran support documentation.

Mon Jan  6 18:59:13 1997  Bob Weiner  <weiner@infodock.com>

* kotl/klink.el (klink:at-p): Eliminated matches to URLs for now.

Wed Dec 25 22:01:05 1996  Bob Weiner  <weiner@infodock.com>

* hmouse-tag.el: Changed all opening quotes in comments from ' to `.

Tue Dec 10 16:40:09 1996  Bob Weiner  <weiner@infodock.com>

* wrolo.el (wrolo-mode-syntax-table): Added to support syntactic selection
    of delimited e-mail addresses.

Fri Dec  6 12:34:31 1996  Bob Weiner  <weiner@infodock.com>

* hmail.el (hmail:region): Fixed bug that extracted region from the wrong
    buffer.

Thu Dec  5 15:34:55 1996  Bob Weiner  <weiner@infodock.com>

* hibtypes.el (annot-bib): Eliminated conflict with PPG-sw-process-id
    ibtype.

* hpath.el (hpath:is-p): Fixed error triggered when tried to format a path
    with more than one %s.

Wed Dec  4 13:39:09 1996  Bob Weiner  <weiner@infodock.com>

* kotl/kmenu.el (id-menubar-kotl): Fixed so this mode menu is properly
    installed under InfoDock.

Tue Nov 26 21:21:50 1996  Bob Weiner  <weiner@infodock.com>

* hui-menu.el (infodock-hyperbole-menu): Added Customization option that
    sets the program used to display URLs.

Thu Nov 14 18:11:36 1996  Bob Weiner  <weiner@infodock.com>

* hmouse-tag.el (smart-*-at-tag-p): Modified to flash tag as a hyperbutton
    when pressed, if Hyperbole has been loaded and flashing is supported
    on the current device.

* hbut.el (ibut:label-set): Made this return its LABEL argument.  Useful
    when label has not yet been saved in a variable.

* kotl/klink.el (klink:at-p): Ignore HTML and SGML tags when looking for Klinks.

Sun Nov 10 01:47:01 1996  Bob Weiner  <weiner@infodock.com>

* wrolo.el (rolo-sort-level): Made case-insensitive.
           (rolo-add): Fixed bug caused by a call to widen that sometimes
    failed to leave point at the newly added entry if the rolodex
    buffer was already displayed when the rolo-add call was made.

* hmouse-tag.el (smart-lisp): Display message and beep when tag is not found.

* hibtypes.el (function-in-buffer): 
* hactypes.el (function-in-buffer): Added to follow function references
    that are defined in the same buffer as the reference.
              (annot-bib): 
	      (exec-shell-cmd): 
              (man-show): 
	      (rfc-toc): Updated all of these to use hpath:display-where
    output display setting.
	      (link-to-elisp-doc): Also modified to move point to the
    documentation buffer.

* hui.el (hui:hbut-current-act): Added.

Fri Nov  8 21:37:34 1996  Bob Weiner  <weiner@infodock.com>

* hbut.el (ebut:act): Added for use when activating an explicit button
    from a menu.
          (ebut:list): Fixed bug that returned (nil) when no explicit
    buttons were found.
* hui-menu.el (hui-menu-explicit-buttons): Added to display a list of
    explicit buttons for activation via the Explicit-Button menu.
* hui-menu.el (hyperbole-gbut-menu): Added to display a list of existing
    global buttons for activation via the Global-Button menu.

Tue Nov  5 19:26:17 1996  Bob Weiner  <weiner@infodock.com>

* hibtypes.el (pathname): Modified to display Emacs Lisp libraries when
   given as delimited filenames, without any path.

Fri Nov  1 00:26:13 1996  Bob Weiner  <weiner@infodock.com>

* hui-mouse.el (hkey-alist): Moved OO-Browser handler to near bottom so
    that it does not override mode-specific handlers.

Thu Oct 31 20:01:34 1996  Bob Weiner  <weiner@infodock.com>

* hui-mouse.el (hkey-alist): Added Action and Assist key support for Java
    identifiers.
* hyperbole.el: Added Java autoloads.
* hmouse-tag.el (smart-java-package-dirs): Added this variable as the
    setting of where Java package source code can be found when the
    OO-Browser is not in use.  Defaults to a single item list of
    "${JAVA_HOME}/src/" if JAVA_HOME is set.
                (smart-java-*): Added point and click identifier jumping for Java.
                (smart-tags-file): Added optional argument NAME-OF-TAGS-FILE 
    so can search for OO-Browser lookup tables.
                (smart-java-cross-reference): Added to follow @see cross-references.

Sat Oct 26 01:05:29 1996  Bob Weiner  <weiner@infodock.com>

* hui-menu.el (infodock-hyperbole-menu): Added Customization submenu.
* hui-mini.el (hui:menus): Added Cust/ submenu.

* hbut.el (hbut:source): Fixed bug that neglected to account for double
    quotes around the name within the printed representation of
    a buffer object.

Fri Oct 25 13:52:51 1996  Bob Weiner  <weiner@infodock.com>

* hmouse-tag.el: Updated function to use with new buffer display protocol.
* hactypes.el: Updated many definitions here to use hpath:find and
    hpath:display-buffer.
* hui-mouse.el (smart-dired): Changed call of hpath:find-other-window to
    hpath:find to use new user-definable display location protocol.
* hpath.el (hpath:find): Expanded optional values of 2nd arg and made
    default location of an internally displayed file be given by the
    value of the hpath:display-where variable.
* hpath.el (hpath:display-buffer):   
           (hpath:display-buffer-other-frame):   Added for linked to buffers.
           (hpath:find-other-frame): Added for use in hpath:display-where-alist.
* hsite-ex.el (hpath:display-where):
              (hpath:display-where-alist):
	      (hpath:display-buffer-alist): 
    Added these new variables to control where Hyperbole displays link referents.
    The first one documents the possibilities and the second two specify
    the function to call for each possibility.

Tue Oct 22 01:21:53 1996  Bob Weiner  <weiner@infodock.com>

* kotl/kvspec.el (kvspec:update-modeline): Fixed to accomodate specialized
    extents in the modeline introduced by XEmacs 19.14.

* hui-mouse.el (hkey-alist): Added support for new id-edit-mode which
    can be setup to activate whenever a region is highlighted with the
    mouse.  When id-edit-mode is active the Action Key (or the Assist Key)
    will paste the region that was highlighted at point.  The key {y} also
    happens to do the same thing in this mode, but has the additional
    property that it will cycle through previous entries in the kill-ring.

Fri Sep 20 22:19:33 1996  Bob Weiner  <weiner@infodock.com>

* Changed `cs.uiuc.edu' to `xemacs.org', the new Hyperbole distribution site.

==============================================================================
V4.02 changes ^^^^:
==============================================================================

Fri Nov  3 22:40:34 1995  Bob Weiner  <weiner@infodock.com>

* hsys-w3.el: Renamed entries in this file and added
    action-key-url-function definition in "hyperbole.el", which can be
    used to change the display function used when a URL is activated with
    the Action Key.  Also, loaded this library by default instead of
    requiring that it be set up in "hsite.el".

Fri Nov  3 19:25:24 1995  Bob Weiner  <weiner@infodock.com>

* kotl/kotl-mode.el (kotl-mode): Fixed so re-narrows a formatted koutline
    to just its cells when invoked.

Fri Nov  3 19:29:58 1995  Bob Weiner  <weiner@infodock.com>

* kotl/kvspec.el (kvspec:blank-lines): Modified to allow toggling blank
    lines in a read-only outline and to not change the modification status
    of the buffer when kvspec:toggle-blank-lines is used.

Fri Nov  3 01:28:44 1995  Bob Weiner  <weiner@infodock.com>

* man/hypb-mouse.txt: Updated to reflect new smart-scroll-proportional
    default setting.

* hsite-ex.el (hpath:display-alist): Fixed bug that tried to kill *info*
    buffer when it didn't exist.  Also fixed bug in call to Info-find-node
    which gave too many args under Emacs 19.

==============================================================================
V4.01 changes ^^^^:
==============================================================================

Thu Nov  2 00:52:26 1995  Bob Weiner  <weiner@infodock.com>

* kotl/kotl-mode.el (kotl-mode:cell-help): Fixed this, the {C-c h} command
    to properly deal with a cell-ref = 0.  In this case, always display
    the 0 cell's attributes before any other attribute data.

* kotl/kview.el (kcell-view:previous): Fixed bug that moved to a hidden
    cell when visible-p flag was given.

Wed Nov  1 02:05:36 1995  Bob Weiner  <weiner@infodock.com>

* kotl/klink.el (klink:parse): Changed to require a common following any
    pathname in a link to prevent parsing, <3g |en>, as a pathname followed
    by a viewspec.

* kotl/kview.el (kcell-view:child):
                (kcell-view:child-p)
                (kcell-view:sibling-p): Added optional visible-p parameter to
    find only visible matches.
    
* kotl/kotl-mode.el: Fixed improper modification of global
    minor-mode-alist and mode-line-format values.

Tue Oct 31 00:45:44 1995  Bob Weiner  <weiner@infodock.com>

* wrolo.el (rolo-mail-to): Added to compose mail to current or next e-mail
    address when in a rolodex or mail buffer.  Bound to {m} in rolodex
    match buffer and added as Rolo/Mail menu item.

* hsite-ex.el (smart-scroll-proportional): Changed default to t, so can do
    proportional scrolling by default.  Scrollbars are often available
    when non-proportional scrolling is desired.

* kotl/kotl-mode.el (kotl-mode:to-valid-position): Optimized a bit further.

Mon Oct 30 01:37:31 1995  Bob Weiner  <weiner@infodock.com>

* kotl/kotl-mode.el (kotl-mode:copy-to-buffer): Made the default buffer to
    copy to the buffer in the other window of this frame, if any.  Also
    fixed bug that caused more than one tree to be copied if there was no
    successor for the tree but there was a following higher level cell.

* hsys-www.el: Removed this library that encapsulated the old CERN
    command-line WWW browser.  No one would want to use that today.  Use
    hsys-w3.el instead.

* hypb.el (hypb:insert-region): Added to deal with region copying used by
    hmail:region and kotl-mode:copy-to-buffer.

* kotl/kview.el (kcell-view:child-p): Added.

* wrolo.el (rolo-isearch): Added to search for next occurrence of current
    match regexp and then allow user to add characters to narrow the
    search, bound to {M-s}.
* man/hyperbole.texi (Rolo Keys): Documented {M-s} binding.

* kotl/kview.el (kcell-view:contents): Added optional POS argument.

* kotl/kimport.el (kimport:file): Added to import different file types
    based upon buffer name suffixes.  Default is to import as text.

* kotl/kimport.el: Rewrote all of these functions to handle importation
    at an arbitrary level in an existing koutline.

Sun Oct 29 01:26:25 1995  Bob Weiner  <weiner@infodock.com>

* kotl/kotl-mode.el (kotl-mode:demote-tree): 
   	            (kotl-mode:promote-tree): Fixed bug that could leave
   point in a non-editable portion of a koutline.

* hibtypes.el (grep-msg): Added support for IBM AIX xlc C compiler errors.
    Also made this higher priority that `pathname' implicit button type so
    that if activate within a doubly quoted pathname followed by a line
    number, the line number is used.

* kotl/kotl-mode.el (kotl-mode:fill-paragraph): Fixed bugs that kept it
    from filling paragraphs where point was not on the first paragraph
    line but the first line did not need filling.

* hui-mini.el (Win/PopRing):
              (Win/YankRing): Changed so they redisplay the Win menu.
    This lets you repeatedly yank or pop window configurations until you reach
    the one you want.

* kotl/kview.el (kcell-view:create): Fixed so if no-fill is in the kcell's
    attribute list, rather than passed in as the `no-fill' argument, its
    value is still used.

* kotl/kotl-mode.el (kotl-mode:add-cell): Added extra argument so can pass
    in a list of attributes for the cell, as a property list.
                    (kotl-mode:split-cell): Fixed so original cell
    attributes are propagated to the newly created cell.

* kotl/kfile.el (kfile:create): Modified to handle importation of a
    foreign text buffer when kotl-mode calls this function within a
    foreign format buffer.

Sat Oct 28 02:32:12 1995  Bob Weiner  <weiner@infodock.com>

* kotl/klink.el (klink:create): 
 	        (link-to-kotl): 
		(klink:parse): 
		(klink:cell-ref-regexp): 
* kotl/kvspec.el (kvspec:string-format): 
* hactypes.el (link-to-kcell): 
* kotl/kotl.el (kcell:ref-to-id): 
* kotl/kotl-mode.el (kotl-mode:goto-cell): Changed viewspec preface
    character from : to |.  Augment viewspec characters preceded by a
    colon are ignored, for now.

Fri Oct 27 15:16:11 1995  Bob Weiner  <weiner@infodock.com>

* kotl/kview.el (kview:set-label-separator): Rewrote so properly changes
    the separator in the current view.  Made it interactive and removed
    input argument, kview.  Use local buffer value of kview instead.
    Added key binding for it, {C-c M-l}.
* kotl/kprop-em.el:
  kotl/kprop-xe.el (kproperty:replace-separator): Added, called by above
    function.

* kotl/kprop-xe.el (kproperty:properties): Changed definition since
    text-properties-at did not return the list of kproperties.

Thu Oct 26 00:06:49 1995  Bob Weiner  <weiner@infodock.com>

* hui-mini.el (hui:menus): Simplified a number of documentation display
    entries.

* kotl/kotl.el (kcell:read-only-attributes): Added, lists cell attributes
    that may not be modified by a user.

* kotl/kotl-mode.el (kotl-mode:insert-file-contents): Renamed from
    kotl-mode:insert-file.  Now use that name to import a file as a
    sequence of sibling cells, rather than one monolithic cell, bound to
    {C-x i}, overloading the standard insert-file.
                    (kotl-mode:get-cell-attribute): Added.
                    (kotl-mode:set-cell-attribute): Added, bound to {C-c C-i}.
		    (kotl-mode:cell-help): Renamed from :kcell-help.
		    (kotl-mode:print-attributes): Renamed from :print-properties.

* kotl/klabel.el (klabel:level): Added to compute the level of a given label.
                 (klabel:level-alpha): Renamed from kimport:aug-label-level.
		 (klabel:level-legal): Added.

* kotl/kimport.el (kimport:kcells): Added to insert kcell contents from
    one koutline to another.
                  (kimport:text): Generalized greatly so can import into
    an existing or non-existing koutline and can take buffer, buffer-name or
    file arguments.
                  (kimport:aug-post-outline): 
	          (kimport:star-outline): Fixed and speeded up.  Code had
    somehow broken over time.
                  (kimport:text): 
                  (kimport:text-cells): Added to import text paragraph as
    cells all at the same level.

Wed Oct 25 02:24:35 1995  Bob Weiner  <weiner@infodock.com>

* kotl/kfile.el (kfile:update): Added kotl-mode setting to the first line
    of koutline files so they are read in with the right mode even if they
    do not have a file suffix of .kotl.
                (kfile:read-name): Relaxed to allow files without .kotl suffix.

* kotl/kotl-mode.el (kfile:write): Fixed bug that failed to restore local
    hook settings after renaming buffer.  This would cause invalid
    koutlines to be written after a rename.
*                   (kotl-mode): Fixed bug that treated a koutline that
    has been read in and formatted for editing as an unformatted koutline.

* hibtypes.el (text-toc):
  hactypes.el (text-toc): Added to use README table of contents as
    implicit buttons.

* hbut.el (ibut:label-set): Expanded doc string.

* README: Rewrote installation instructions.
* man/hyperbole.texi: Reorganized manual for clarity.  Added obtaining
    Hyperbole, installing it and filled out the whole Hyperbole Outliner
    chapter.

Tue Oct 24 03:52:40 1995  Bob Weiner  <weiner@infodock.com>

* man/hyperbole.texi (Configuration): Renamed from Initializing.

Mon Oct 23 01:00:54 1995  Bob Weiner  <weiner@infodock.com>

* kotl/kotl-mode.el (kotl-mode:top-cells): Simplified and fixed to utilize
    blank lines setting.

* kotl/kmenu.el (id-popup-kotl-menu): 
                (id-menubar-kotl): Added View Menu and moved view-related
    tree operations from Tree menu to here.  Also added Find and
    Find-Read-Only menu entries so can edit/view other koutlines.
    Added Append-Cell and Set-Cell-Attributes menu items.
* hui-mini.el (hui:menus): Renamed Otl/Below to Otl/Downto so could add
    Otl/Blanks to toggle blanks on and off.  Changed name and function of
    Otl/View to Otl/Vspec.  Now prompts for and activates a view spec.
    User can use {C-x C-r} to view a koutline instead.

* README: Updated What's New section to V4.00.

* man/hyperbole.texi (Hyperbole Views): Rewrote and expanded to explain
    new view specs.

* man/hyperbole.texi (Hook Variables): 
  wrolo.el (rolo-yank):
           (wrolo-yank-reformat-function):  Added this variable to
    allow user to reformat yanked entries.

* kotl/kvspec.el (kvspec:toggle-blank-lines): Added, bound to {C-c b}.

* kotl/kfile.el (kfile:read-v4): Added for V4 format which initializes
    view spec local variables read from the file.
                (kfile:update): Save current viewspec to file.
		(kfile:version): Updated file format to V4.0.

* kotl/kotl.el (kcell:ref-to-id): 
  kotl/kotl-mode.el (kotl-mode:goto-cell): Fixed to ignore relative specs
    and to utilize view specs.

* kotl/EXAMPLE.kotl: Updated to explain view spec handling.

Sun Oct 22 00:38:45 1995  Bob Weiner  <weiner@infodock.com>

* hbut.el (ebut:key-src): Fixed bug that prevented match to
    hbut:source-prefix line when in a collapsed outline line.
    rolo-edit-entry would not work when rolodex match entries were
    collapsed.

* kotl/kotl-mode.el (kotl-mode:append-cell): Added to append the contents
    of one cell to another, bound to {C-c +}.

* kotl/kvspec.el: Added this file to control Koutliner view specification.
                 (kvspec:activate): Added to interactively set view specs
                 and bound to {C-c C-v}.
                 (kvspec:no-blank-lines): Renamed from kotl-mode:shorten-all.
                 (kvspec:blank-lines): Renamed from kotl-mode:extend-all.

* kotl/kmenu.el (kotl-menubar-menu): 
  hui-menu.el (hyperbole-menubar-menu): 
  wrolo-menu.el (wrolo-menubar-menu): Fixed bug when current-menubar was
    nil, would not display menubar entry under Emacs 19 even though it should.

Sat Oct 21 01:07:32 1995  Bob Weiner  <weiner@infodock.com>

* kotl/kview.el (kview:default-blank-lines): 
		(kview:default-levels-to-show): 
		(kview:default-lines-to-show): Added these variables.
          	(kview:create): Use their values.
		(kcell-view:create): Use kview's blank-lines setting.

* kotl/kprop-xe.el (kproperty:remove): Fixed bug that ignored open-ended
    properties.
  kotl/kprop-em.el (kproperty:remove): Rewrote to remove only those
    properties with matching values.

* kotl/kotl-mode.el (kotl-mode:extend-all):
                    (kotl-mode:shorten-all): Rewrote to use invisible
    properties.
* kotl/kfile.el (kfile:shorten-after-saving):
                (kfile:extend-before-save): Removed.  No longer needed
    since blank lines are removed using invisible characters.

* kotl/kprop-em.el (kproperty:put):
* kotl/kprop-xe.el (kproperty:put):   Changed calling interface to take a
    list of properties.

* kotl/kfill.el (kfill:prefix-table): Generalized supercite citation prefix.

Tue Oct 17 01:21:37 1995  Bob Weiner  <weiner@infodock.com>

* hinit.el (hyperb:check-dir-user): Call make-directory function if
    available.

Mon Oct 16 01:02:19 1995  Bob Weiner  <weiner@infodock.com>

* wrolo.el (rolo-file-list): Set to c:/_rolodex.otl under MS-DOS and Windows.
* hbmap.el (hbmap:dir-user): Set to c:/_hyperb/ under MS-DOS and Windows.
* hbut.el (hattr:filename): Set to _hypb under MS-DOS and Windows.

Sun Oct 15 17:32:46 1995  Bob Weiner  <weiner@infodock.com>

* kotl/kotl-mode.el (kotl-mode:copy-region-as-kill): Don't trigger error
    when called in a read-only buffer.

Fri Oct  6 12:56:57 1995  Bob Weiner  <weiner@infodock.com>

* hui-mouse.el (hkey-alist): Moved Smart Menu display code closer to
    highest priority so that hkey-always-display-menu works as advertised.

* hui-window.el (hmouse-modeline-depress): Fixed so does not false under
    Emacs 19 when depress in a minibuffer window.  This fixes the problem
    of the Action Key not properly selecting Hyperbole minibuffer menu items.

Thu Oct  5 14:31:56 1995  Bob Weiner  <weiner@infodock.com>

* hui-menu.el (hyperbole-menubar-menu): Added omitted (require 'lmenu) for
    Emacs 19 that prevented Hyperbole menubar from appearing under Emacs 19.

Wed Oct  4 12:41:24 1995  Bob Weiner  <weiner@infodock.com>

* hsite-ex.el (hkey-always-display-menu): Added this definition to prevent
    it from being unbound if smart-menu is invoked and the Smart Menu system
    is loaded under InfoDock.

Wed Sep 27 01:56:53 1995  Bob Weiner  <weiner@infodock.com>

* wrolo.el (rolo-edit): Modified to treat an empty string argument for
    NAME as a null argument, so one can just hit RET interactively.  Also,
    modified to automatically select rolodex file when called
    interactively if rolo-file-list has only one element.

* wrolo.el (wrolo-mode-map): Added {e} binding to edit the entry at point
    within the rolodex match buffer.
* man/hyperbole.texi (Rolo Keys): Documented {e} key.

Mon Sep 25 11:15:49 1995  Bob Weiner  <weiner@infodock.com>

* kotl/kotl-mode.el (kotl-mode:indent-line): 
                    (kotl-mode:indent-region): Added.  Each signals an
    error to force user to hit SPC to indent lines.
                    (kotl-mode): Set indent-line-function and
   indent-region-function.

* hyperbole.el (hmail:msg-narrow): Added autoload.

Fri Sep 22 17:14:05 1995  Bob Weiner  <weiner@infodock.com>

* hsite-ex.el (hpath:display-alist): Fixed bug in handling info-suffix
    variable scoping that prevented Action Key from browsing info files in
    dired.

==============================================================================
V4.00 changes ^^^^:
==============================================================================
